package _06_循环练习;

import java.util.Random;
import java.util.Scanner;

public class Test3 {

    public static void main(String[] args) {
        /**
         * 程序自动生成一个1-100之间的随机数，在代码中使用键盘录入去猜出这个数字是多少？
         */
        // 1 生成1-100 随机数
        Random random = new Random();
        // 0 -99 +   1-100
        int random1  = random.nextInt(100) + 1;
        Scanner scanner = new Scanner(System.in);
        while (true){
            int num = scanner.nextInt();
            if(num > random1){
                System.out.println("猜的数字偏大");
            }else if(num < random1){
                System.out.println("猜的数字偏小了");
            }else{
                System.out.println("恭喜猜中了数字为:"+ num);
                break;
            }
        }
    }
}
